#ifndef HVIF_LIGHT_H
#define HVIF_LIGHT_H

#include <stdbool.h>
#include <stdio.h>

typedef struct hvif_image hvif_image;

typedef struct hvif_result hvif_result;
struct hvif_result
{
	bool success;
	union
	{
		char const* const error;
		hvif_image* image;
	};
};

hvif_result hvif_from_file(FILE* file);
void hvif_free(hvif_image* image);

#endif // HVIF_LIGHT_H
